CombineFileInputFormat (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib
Class CombineFileInputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapreduce.InputFormat<K,V>
          org.apache.hadoop.mapreduce.lib.input.FileInputFormat<K,V>
              org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat<K,V>
                  org.apache.hadoop.mapred.lib.CombineFileInputFormat<K,V>

All Implemented Interfaces:
  InputFormat<K,V>

Deprecated. Use `CombineFileInputFormat`

    @Deprecated
    public abstract class CombineFileInputFormat<K,V>

extends CombineFileInputFormat<K,V>
implements InputFormat<K,V>

An abstract `InputFormat` that returns `CombineFileSplit`'s in `InputFormat.getSplits(JobConf, int)` method. Splits are constructed from the files under the input paths. A split cannot have files from different pools. Each split returned may contain blocks from different files. If a maxSplitSize is specified, then blocks on the same node are combined to form a single split. Blocks that are left over are then combined with other blocks in the same rack. If maxSplitSize is not specified, then blocks from the same rack are combined in a single split; no attempt is made to create node-local splits. If the maxSplitSize is equal to the block size, then this class is similar to the default spliting behaviour in Hadoop: each block is a locally processed split. Subclasses implement `InputFormat.getRecordReader(InputSplit, JobConf, Reporter)` to construct `RecordReader`'s for `CombineFileSplit`'s.

See Also:
  `CombineFileSplit`

Constructor Summary
`CombineFileInputFormat()` Deprecated. default constructor

Method Summary
`RecordReader<K,V>` | `createRecordReader(InputSplit split, TaskAttemptContext context)` Deprecated. This is not implemented yet.
`abstract RecordReader<K,V>` | `getRecordReader(InputSplit split, JobConf job, Reporter reporter)` Deprecated. This is not implemented yet.
`InputSplit[]` | `getSplits(JobConf job, int numSplits)` Deprecated. Logically split the set of input files for the job.

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.CombineFileInputFormat
`createPool, createPool, getSplits, setMaxSplitSize, setMinSplitSizeNode, setMinSplitSizeRack`

Methods inherited from class org.apache.hadoop.mapreduce.lib.input.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getFormatMinSplitSize, getInputPathFilter, getInputPaths, getMaxSplitSize, getMinSplitSize, isSplitable, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMaxInputSplitSize, setMinInputSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombineFileInputFormat

    public CombineFileInputFormat()

  Deprecated.
  default constructor

Method Detail

### getSplits

    public InputSplit[] getSplits(JobConf job,
                                  int numSplits)
                           throws IOException

  Deprecated.
  Description copied from interface: `InputFormat`
  Logically split the set of input files for the job.

  Each `InputSplit` is then assigned to an individual `Mapper` for processing.

  Note: The split is a logical split of the inputs and the input files are not physically split into chunks. For e.g. a split could be <input-file-path, start, offset> tuple.

  Specified by:
    `getSplits` in interface `InputFormat<K,V>`
  Parameters:
    `job` - job configuration.
    `numSplits` - the desired number of splits, a hint.
  Returns:
    an array of `InputSplit`s for the job.
  Throws:
    `IOException`

### getRecordReader

    public abstract RecordReader<K,V> getRecordReader(InputSplit split,
                                                      JobConf job,
                                                      Reporter reporter)
                                               throws IOException

  Deprecated.
  This is not implemented yet.

  Specified by:
    `getRecordReader` in interface `InputFormat<K,V>`
  Parameters:
    `split` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

### createRecordReader

    public RecordReader<K,V> createRecordReader(InputSplit split,
                                                TaskAttemptContext context)
                                         throws IOException

  Deprecated.
  Description copied from class: `CombineFileInputFormat`
  This is not implemented yet.

  Specified by:
    `createRecordReader` in class `CombineFileInputFormat<K,V>`
  Parameters:
    `split` - the split to be read
    `context` - the information about the task
  Returns:
    a new record reader
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation